package com.unis.base.server.service;

import java.util.List;

import com.unis.base.common.vo.TySltpxxVO;

/**
 * @author huangxing
 * @version 1.0
 * @Title: TyCrkxxService
 * @ProjectName TyCrkxxService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface TySltpxxService {

	/**
	 * 获取信息列表
	 * @param dKdxxsjyVO
	 * @return
	 */
	List<TySltpxxVO> getTySltpxxList(TySltpxxVO tySltpxxVO);

	/**
	 * 分页展示
	 * @param TySltpxxVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<TySltpxxVO> getTySltpxxPage(TySltpxxVO tySltpxxVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增信息
	 * @param TySltpxxVO
	 * @return
	 */
	int insert(TySltpxxVO tySltpxxVO);

	/**
	 * 更新信息
	 * @param TySltpxxVO
	 * @return
	 */
	int update(TySltpxxVO tySltpxxVO);

	/**
	 * 删除信息
	 * @author huangxing
	 * @param TySltpxxVO
	 * @return
	 */
	int delete(String tpid);

	/**
	 * 根据编号获取信息
	 * @param ajbh
	 * @return 廒间信息
	 */
	TySltpxxVO getSltpxxBySltpxxid(String tpid);

}
